﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Artilleries
{
    internal class EntityAdvancedArtillery : EntityArtillery
    {
        public Color DopColor { get; private set; }
        public bool Weapon { get; private set; }
        public bool SalvoBattery { get; private set; }
        public EntityAdvancedArtillery(int speed, float weight, Color bodyColor, Color dopColor, bool weapon, bool salvoBattery) : base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            Weapon = weapon;
            SalvoBattery = salvoBattery;
        }
    }
}
